echo -n "Assembling ..."

/usr/local/bin/asl -l hcs_II.asm > hcs_II.lst

Err=$?

if [ $Err = 0 ]; then
  echo -n "no errors"
else
  egrep '[0-9] error' hcs_II.lst
  echo "errors"
  exit
fi

rm -rf hcs_II.bin

p2bin hcs_II

if [ -f "hcs_II.bin" ]; then
  diff HCS-401.BIN hcs_II.bin 

  Err=$?

  if [ $Err = 0 ]; then
    echo "Match"
  else
    cmp HCS-401.BIN hcs_II.bin
  fi
else
  echo "File 'hcs_II.bin' not found"
fi

echo
